for (var i = 0; netA [i] != undefined && netA [i] [0] != false; i++) {}
if (netA [i] == undefined) {netA [i] = [false, 0, 0, 0, false, false, 0, 0, 0, 0, 0];}
netA [i] [4] = true; if (netA [i] [1] < 16) {netA [i] [1] += 1;} netA [i] [2] -= 5;
throwingValue = (netA [i] [1]/16); throwingID = 2008;

function netThrow() {
	throwingValue = 0;
	netA [i] [1] = 0; netA [i] [0] = true; pinv = player.getInventory(); netA [i] [6] = time.time;
	var rot = player.getRotation(); player.dropItem(Item(2008, 1)); pinv.consumeItem(2008);
	itemSearch = player.getEntitiesWithinRange(0.2); for (var ii = 0; ii < itemSearch.length; ii++) 
	{netA [i] [3] = itemSearch[ii]; if (netA [i] [3].getClassType() == "Item") 
	{vec = player.getLookVec(); netA [i] [3].setVelocity(vec.x*netA [i] [2]/15 + (Math.random()*0.6 - 0.3), 
	vec.y*netA [i] [2]/15 + (Math.random()*0.6 - 0.3), vec.z*netA [i] [2]/15 + (Math.random()*0.6 - 0.3));}} netA [i] [2] = 0;
}